import { Injectable } from '@angular/core';
import { Observable } from 'rxjs';
import { RPCService } from '@loafer/ng-rpc';
import { MetaNoAuthProbeStatus } from '@overflow/commons-typescript/model/meta';

@Injectable()
export class MetaNoAuthProbeStatusService {

  public constructor(
    private rpcService: RPCService,
  ) {

  }

  public readByKey(key: string): Observable<MetaNoAuthProbeStatus> {
    return this.rpcService.call<MetaNoAuthProbeStatus>('MetaNoAuthProbeStatusService.readByKey', key);
  }

  public readAll(): Observable<MetaNoAuthProbeStatus[]> {
    return this.rpcService.call<MetaNoAuthProbeStatus[]>('MetaNoAuthProbeStatusService.readAll');
  }
}
